summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/nft-f/0022variables_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/nft-f/0022variables_0')
-rwxr-xr-xtests/shell/testcases/nft-f/0022variables_021
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/shell/testcases/nft-f/0022variables_0 b/tests/shell/testcases/nft-f/0022variables_0
new file mode 100755
index 00000000..ee17a627
--- /dev/null
+++ b/tests/shell/testcases/nft-f/0022variables_0
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+RULESET="define test1 = @y
+
+table ip x {
+ set y {
+ type ipv4_addr
+ flags dynamic,timeout
+ }
+
+ chain z {
+ type filter hook input priority filter; policy accept;
+ add \$test1 { ip saddr }
+ update \$test1 { ip saddr timeout 30s }
+ ip saddr \$test1
+ }
+}"
+
+$NFT -f - <<< "$RULESET"